package net.woellert.viergewinnt.test;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

class alphabeta {
	public static int inf = 10000, limit = 12, besterzug = -1,stellungswert = 0;
    public static byte C[][] = new byte[7][7];
    static BufferedReader input = new BufferedReader(new InputStreamReader (System.in));
    
    public static void ausgabe() {
    	int x,y;
    	
    	for(x=0;x<7;x++)
    		System.out.print(x+" ");
    	System.out.println();
    	
    	for(y=6;y>=0;y--) {
    		for(x=0;x<7;x++)
    			switch (C[x][y]) {
    			case  1: System.out.print("X "); break;
    			case -1: System.out.print("O "); break;
    			default: System.out.print("_ ");
    			}
    		System.out.println();
    	}
    }
    
    public static int bewertung(int x,int y) {
    	int k,x1,y1;
    	int s = C[x][y];
    	
    	k = 0;
    	for(y1=y-1;y1>=0;y1--)
      		if (C[x][y1] == s) k++; else break;
    	if (k >= 3) return s*inf; 
    		
    	k = 0;
    	for(x1=x-1;x1>=0;x1--)
    		if (C[x1][y] == s) k++; else break;
    	for(x1=x+1;x1<7;x1++)
    		if (C[x1][y] == s) k++; else break;
    	if (k >= 3) return s*inf;
    	
       	k = 0;
    	for(x1=x-1,y1=y-1;x1>=0 && y1>=0;x1--,y1--)
    		if (C[x1][y1] == s) k++; else break;
    	for(x1=x+1,y1=y+1;x1<7 && y1<7;x1++,y1++)
    		if (C[x1][y1] == s) k++; else break;
    	if (k >= 3) return s*inf;
    	
      	k = 0;
    	for(x1=x+1,y1=y-1;x1<7 && y1>=0;x1++,y1--)
    		if (C[x1][y1] == s) k++; else break;
    	for(x1=x-1,y1=y+1;x1>=0 && y1<7;x1--,y1++)
    		if (C[x1][y1] == s) k++; else break;
    	if (k >= 3) return s*inf;  	
    	
    	return 0;
    }
    
	public static int max(int alpha,int beta,int tiefe) {
		int x,y,wert;
		
		if (tiefe == limit) return stellungswert;
		
		for(x=0;x<7;x++) {
			for(y=0;y<7;y++)
				if (C[x][y] == 0) break;
			if (y == 7) continue;
			
			C[x][y] = 1;
			if (bewertung(x,y) == inf) {
				C[x][y] = 0;
				if (tiefe == 0) besterzug = x;
				return inf;
			}
			
			wert=min(alpha,beta,tiefe+1);
			if (wert > alpha) {
				alpha=wert;
				if (tiefe == 0) besterzug = x;
			}
			
			C[x][y] = 0;
			
			if (alpha >= beta) return beta;
		}
		return alpha;
	}
	
	public static int min(int alpha,int beta,int tiefe) {
		int x,y,wert;
		
		if (tiefe == limit) return stellungswert;
		
		for(x=0;x<7;x++) {
			for(y=0;y<7;y++)
				if (C[x][y] == 0) break;
			if (y == 7) continue;
			
			C[x][y] = -1;
			if (bewertung(x,y) == -inf) {
				C[x][y] = 0;
				if (tiefe == 0) besterzug = x;
				return -inf;
			}
			
			wert=max(alpha,beta,tiefe+1);
			if (wert < beta) {
				beta = wert;
				if (tiefe == 0) besterzug = x;
			}
			
			C[x][y] = 0;
			
			if (alpha >= beta) return alpha;
		}
		return beta;
	}
	
	public static void main(String argv[]) {
		boolean ende = false;
		int x,y;
		
		for(x=0;x<7;x++)
			for(y=0;y<7;y++)
				C[x][y] = 0;
		
		C[3][0] = -1;
//		C[3][1] = C[3][2] = -1;
		ausgabe();
		while (!ende) {
			try {
				String line = input.readLine();
				x = Integer.parseInt(line);
				System.err.println(line + " " + x);
                        } catch (IOException e) {
	                        // TODO Auto-generated catch block
	                        e.printStackTrace();
                        }
			for(y=0;y<7;y++)
				if (C[x][y] == 0) break;
			if (y == 7) continue;
			
			C[x][y] = 1;
			if (min(-inf,inf,0) == -inf) {
				ende = true;
				x = besterzug;
			} else
				x = (int) Math.floor(7*Math.random());
			
			for(y=0;y<7;y++)
				if (C[x][y] == 0) break;
			C[x][y] = -1;
			
			ausgabe();
		}
	}
}
